%define name XaoS
%define version 3.1pre1
%define release 14mdk
%define prefix %{_prefix}

Name: %{name}
Summary: A real-time fractal zoomer
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Sciences/Mathematics
BuildRequires: XFree86-devel libpng-devel zlib-devel aalib-devel gpm-devel ncurses-devel slang
Patch0:	XaoS-help.patch.bz2
Source0: ftp://ftp.ta.jcu.cz/pub/linux/hubicka/XaoS/experimental/prerelease1/XaoS-%{version}.tar.bz2
Source1: %{name}
Source2: %{name}.xpm.bz2
Source3: %{name}-32.xpm.bz2
URL: http://limax.paru.cas.cz/~hubicka/XaoS/
Packager: Guillaume Cottenceau <gc@mandrakesoft.com>
BuildRoot: %{_tmppath}/%{name}-buildroot
ExclusiveArch: %{ix86} ppc

%description
XaoS is a real-time fractal zoomer. It is highly optimized. It features an
advanced help system and nice tutorial about a lot different fractals.

This package holds the binary that runs with X11.

%package svgalib
Summary: Real-time fractal zoomer, svgalib package
Group: Sciences/Mathematics

%description svgalib
XaoS is a real-time fractal zoomer. It is highly optimized. It features an
advanced help system and nice tutorial about a lot different fractals.

This package holds (only) the binary that runs with svgalib.

%package aalib
Summary: Real-time fractal zoomer, aalib package
Group: Sciences/Mathematics

%description aalib
XaoS is a real-time fractal zoomer. It is highly optimized. It features an
advanced help system and nice tutorial about a lot different fractals.

This package holds (only) the binary that runs with aalib. (Ascii-Art)

%prep
%setup -q
%patch0 -p0

%build

rm -f config.cache
%configure --without-x11-driver --without-ggi-driver --without-svga-driver --with-aa-driver
make
mv bin/xaos ./xaos-aalib

make clean
rm -f config.cache
%configure --without-x11-driver --without-ggi-driver --with-svga-driver --without-aa-driver
make
mv bin/xaos ./xaos-svgalib

make clean
rm -f config.cache
%configure --with-x11-driver --without-ggi-driver --without-svga-driver --without-aa-driver
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_infodir}
%makeinstall

install -m755 xaos-aalib $RPM_BUILD_ROOT%{_bindir}
install -m755 xaos-svgalib $RPM_BUILD_ROOT%{_bindir}
install -m644 help/xaos.hlp $RPM_BUILD_ROOT%{_datadir}/%{name}/catalogs

# menu entry
install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir}/

# icon
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
bzcat %{SOURCE2} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.xpm
bzcat %{SOURCE3} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.xpm

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}
%_install_info xaos.info

%preun
%_remove_install_info xaos.info

%postun
%{clean_menus}


%files
%defattr(-,root,root,0755)
%doc COPYING TODO doc/ANNOUNCE doc/PROBLEMS doc/README doc/README.bugs doc/compilers.txt doc/tutorial.txt
%{_bindir}/xaos
%{_datadir}/%{name}
%{_mandir}/man6/*
%{_infodir}/xaos*
%{_menudir}/*
%{_iconsdir}/*.xpm
%{_miconsdir}/*.xpm

%files svgalib
%defattr(-,root,root,0755)
%doc COPYING 
%{_bindir}/xaos-svgalib

%files aalib
%defattr(-,root,root,0755)
%doc COPYING 
%{_bindir}/xaos-aalib


%changelog
* Wed Aug 30 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-14mdk
- fixed missing install_info

* Wed Aug 23 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-13mdk
- automatically added packager tag

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 3.1pre1-12mdk
- automatically added BuildRequires

* Wed Jul 19 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-11mdk
- rebuild for buggy % clean_menus

* Tue Jul 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-10mdk
- BM
- macros for menu/icons

* Mon Jul 17 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-9mdk
- macros

* Fri May 26 2000 Adam Lebsack <adam@mandrakesoft.com> 3.1pre1-8mdk
- added ppc ExclusiveArch

* Tue May  9 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-7mdk
- added exclusivearch with the help of S. Van der Eijk

* Fri Apr 28 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-6mdk
- added 32x32 icons, fixed hardcoded path in menu entries
- added lacking [ $1 = 0 ] in postun script

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1pre1-5mdk
- Don't own shared directiries
- Use $RPM_OPT_FLAGS, don't build for i686 when I say i586

* Fri Apr 14 2000 David BAUDENS <baudens@mandrakesoft.com> 3.1pre1-4mdk
- Fix group

* Mon Apr 10 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-3mdk
- added icon

* Mon Mar 27 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-2mdk
- add menu entry

* Sat Mar 18 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 3.1pre1-1mdk
- 3.1pre1
- holy patch to remove crash when invoking help
